SUBROUTINE k2ijv(k,i,j)
  !
  ! $Author: CPTEC $
  ! $Date: 2000/02/24 13:15:43 $
  ! $Revision: 1.0 $
  !
  ! 
  !  compute i,j values of v points from a one dimensional k
  ! 
  IMPLICIT NONE
  INCLUDE "parmeta.f90"
  ! 
  !   convert from one dimensional k to i,j on the e-grid
  ! 
  INTEGER	:: i, j, k, imt, jx, ix
  imt=2*im-1
  jx=(k-1)/imt+1
  ix=k-(jx-1)*imt
  IF(ix.LE.im-1)THEN
     i=ix
     j=2*jx-1
  ELSE
     i=ix-im+1
     j=2*jx
  ENDIF
END SUBROUTINE k2ijv
